通知处理器

GET https://tit.lc/api/notification-handlers/
curl --request GET \
--url 'https://tit.lc/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
参数 详情 描述
search 可选 字符串 搜索字符串。
search_by 可选 字符串 您要搜索的字段。允许的值为:name
is_enabled 可选 布尔值
type 可选 字符串 您要搜索的字段。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams
datetime_field 可选 字符串 允许的值:datetime, last_datetime
datetime_start 可选 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选 字符串 用于排序结果的字段。允许的值为:notification_handler_id, datetime, last_datetime, name
order_type 可选 字符串 结果的排序方式。允许的值为:ASC 表示升序,DESC 表示降序。
search 可选 字符串 搜索字符串。
search_by 可选 字符串 您要搜索的字段。允许的值为:name
is_enabled 可选 布尔值
type 可选 字符串 您要搜索的字段。允许的值为:email, webhook, slack, discord, telegram, microsoft_teams
datetime_field 可选 字符串 允许的值:datetime, last_datetime
datetime_start 可选 字符串 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 可选 字符串 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 可选 字符串 用于排序结果的字段。允许的值为:notification_handler_id, datetime, last_datetime, name
order_type 可选 字符串 结果的排序方式。允许的值为:ASC 表示升序,DESC 表示降序。
page 可选 整数 您想要获取结果的页码。默认为 1
results_per_page 可选 整数 您希望每页显示多少结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为 25
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-06-15 21:30:29",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tit.lc/api/notification-handlers?page=1",
        "last": "https://tit.lc/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://tit.lc/api/notification-handlers?page=1"
    }
}
GET https://tit.lc/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tit.lc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-06-15 21:30:29",
    }
}
POST https://tit.lc/api/notification-handlers
参数 详情 描述
name 必需 字符串 -
type 必需 字符串 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 在以下情况下可用:type = email 电子邮件
webhook 可选 字符串 在以下情况下可用:type = webhook Webhook URL
slack 可选 字符串 在以下情况下可用:type = slack Slack webhook URL
discord 可选 字符串 在以下情况下可用:type = discord Discord webhook URL
telegram 可选 字符串 在以下情况下可用:type = telegram Telegram API 令牌
telegram_chat_id 可选 字符串 在以下情况下可用:type = telegram Telegram 聊天 ID
microsoft_teams 可选 字符串 在以下情况下可用:type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://tit.lc/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://tit.lc/api/notification-handlers/{notification_handler_id}
参数 详情 描述
name 可选 字符串 -
type 可选 字符串 允许的值:email, webhook, slack, discord, telegram, microsoft_teams
email 可选 字符串 在以下情况下可用:type = email 电子邮件
webhook 可选 字符串 在以下情况下可用:type = webhook Webhook URL
slack 可选 字符串 在以下情况下可用:type = slack Slack webhook URL
discord 可选 字符串 在以下情况下可用:type = discord Discord webhook URL
telegram 可选 字符串 在以下情况下可用:type = telegram Telegram API 令牌
telegram_chat_id 可选 字符串 在以下情况下可用:type = telegram Telegram 聊天 ID
microsoft_teams 可选 字符串 在以下情况下可用:type = microsoft_teams Microsoft Teams webhook URL
is_enabled 可选 布尔值 -
curl --request POST \
--url 'https://tit.lc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tit.lc/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tit.lc/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \